std::make_error_code(std::io_errc)(3)

NAME
std::make_error_code(std::io_errc) - std::make_error_code(std::io_errc)

Synopsis
   Defined in header <ios>
   std::error_code make_error_code( std::io_errc e ) noexcept; (since C++11)
   Constructs an std::error_code object from a value of type std::io_errc as if by
   return std::error_code(static_cast<int>(e), std::iostream_category()). This function
   is called by the constructor of std::error_code when given an std::io_errc argument.

Parameters
   e - error code number

Return value
   A value of type std::error_code that holds the error code number from e associated
   with the error category "iostream".

Example
// Run this code
 #include <iostream>
 #include <system_error>
 int main()
 {
     std::error_code ec = std::make_error_code(std::io_errc::stream);
     // This works because of the overloaded method
     // and the is_error_code_enum specialization.
     ec = std::io_errc::stream;
     std::cout << "Error code from io_errc::stream has category "
               << ec.category().name() << '\n';
 }

Output:
 Error code from io_errc::stream has category iostream

See also
   error_code holds a platform-dependent error code
   (C++11) (class)
   io_errc the IO stream error codes
   (C++11) (enum)
   make_error_code(std::errc) constructs an std::errc error code
   (C++11) (function)
   make_error_code(std::future_errc) constructs a future error code
   (C++11) (function)